package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: RegisterPersonPlatformReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:22
 */
@Data
public class Nft003RegisterPersonPlatformRespDto implements Serializable {
    /**
     * 用户唯一标识
     */
    private String userIdentification;

    private static final Nft003RegisterPersonPlatformRespDto obj = new Nft003RegisterPersonPlatformRespDto();
    public static Nft003RegisterPersonPlatformRespDto getNew() {
        try {
            return (Nft003RegisterPersonPlatformRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft003RegisterPersonPlatformRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
